For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Npt Comments
      • POSTCreate Npt Comments
      • POSTLike a comment
      • DELRemoves a thumbsup from a comment
      • DELRemove a comment
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt Discussion

Create Npt Comments

POST
https://api.projectmanager.com/api/data/non-project-tasks/:nptId/comments
POST
/api/data/non-project-tasks/:nptId/comments
$curl -X POST https://api.projectmanager.com/api/data/non-project-tasks/nptId/comments \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "discussionCommentId": "string"
15 }
16}
Adds a Markdown-formatted comment to a Npt. Npts can have discussions attached to them. These discussions can include text with simple formatting. Discussion comments are formatted using [Markdown](https://www.markdownguide.org/) and users should be aware that HTML embedding is not permitted due to the risk of cross-site attacks and other embedding challenges.
Was this page helpful?
Previous

Like a comment

Next
Built with

Adds a Markdown-formatted comment to a Npt.

Npts can have discussions attached to them. These discussions can include text with simple formatting. Discussion comments are formatted using Markdown and users should be aware that HTML embedding is not permitted due to the risk of cross-site attacks and other embedding challenges.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

nptIdstringRequiredformat: "uuid"
The unique ID number of the Npt being commented upon

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The Markdown-formatted text of the comment

textstringOptional

The text of the comment to add to the discussion, in Markdown format.

Discussion comments are formatted using Markdown and users should be aware that HTML embedding is not permitted due to the risk of cross-site attacks and other embedding challenges.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject

Tasks can have discussions attached to them. These discussions can include text with simple formatting. Discussion comments are formatted using Markdown and users should be aware that HTML embedding is not permitted due to the risk of cross-site attacks and other embedding challenges.